### Method

# Gcr Prompt confirm_run

#### Declaration [src]

    GcrPromptReply
    gcr_prompt_confirm_run (
      GcrPrompt* prompt,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Prompts for confirmation asking a cancel/continue style question. Set the various properties on the prompt before calling this function to represent the question correctly.

This method will block until the a response is returned from the prompter and will run a main loop similar to a `gtk_dialog_run()`. The application will remain responsive but care must be taken to handle reentrancy issues.

`GCR_PROMPT_REPLY_CONTINUE` will be returned if the user confirms the prompt. The return value will also be `GCR_PROMPT_REPLY_CANCEL` if the user cancels or if an error occurs. Check the `error` argument to tell the difference.

#### Parameters

`cancellable` | `GCancellable`
| Optional cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GcrPromptReply`
| The reply from the prompt.